import request from '@/utils/request'

// 查询计划工单列表
export function listDeviceOrder(query) {
	return request({
		url: '/device/deviceOrder/list',
		method: 'get',
		params: query
	});
}

// 查询计划工单详细
export function getDeviceOrder(orderId) {
	return request({
		url: '/device/deviceOrder/' + orderId,
		method: 'get'
		});
}

// 新增计划工单
export function addDeviceOrder(data) {
	return request({
		url: '/device/deviceOrder',
		method: 'post',
		data: data
	});
}

// 修改计划工单
export function updateDeviceOrder(data) {
	return request({
		url: '/device/deviceOrder',
		method: 'put',
		data: data
	});
}

// 删除计划工单
export function delDeviceOrder(orderId) {
	return request({
		url: '/device/deviceOrder/' + orderId,
		method: 'delete'
	});
}
